package com.logicbig.example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class ReportClientBean {
    @Autowired
    private Dao<Report> reportDao;

    public void persistReport() {
        Report report = getReport();
        System.out.println("-- persisting report --");
        System.out.println(report);
        reportDao.save(report);
        System.out.println("-- loading all --");
        List<Report> reports = reportDao.loadAll();
        System.out.println(reports);
    }

    private Report getReport() {
        //create dummy report
        Report report = new Report();
        report.setName("dummy report");
        report.setContent("very large dummy content ..");
        report.setImage(new byte[]{1, 4, 3, 3, 3, 5, 5, 3, 6, 7, 6, 7, 9});
        return report;
    }
}